<?php
namespace Claromentis\Mailgun\Model;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_9c050c786fc87170cbb84fc6a8b1" . "3cb6" => base64_decode("YXR0Y" . "WNobW" . "VudC0" . "="), "_1d6c68a" . "0262e8fa" . "0bed1215" . "b7224a98" . "e" => base64_decode("cmVjaXBp" . "ZW50"), "_618a4aeb9fecc4592a4521f3" . "4876fa29" => base64_decode("Zn" . "Jv" . "bQ" . "=="), "_f39f5346e313e4dd1ac3a7bd8032be" . "da" => base64_decode("c3Vic3RyX2NvbXBh" . "cmU="), "_8c575917cbaedf1e7efae8493940" . "2bff" => base64_decode("U3Vi" . "amVj" . "dA=="), "_f589476007fa133f457" . "c3ef29ddfa566" => base64_decode("V" . "G" . "8" . "="), "_6e1c717cf3cbf1af982ed74d4336" . "b7f1" => base64_decode("Ym9keS1odG" . "1s"), "_d706c160e45bf7434fff82a" . "5976f0e19" => base64_decode("YXJyYXlfa2V5cw=" . "="), "_956cd32298a229f9768f1096" . "f077ace3" => base64_decode("Ym9keS1wb" . "GFpbg=="), "_97ea09a7faf2" . "7c52c6eff6977" . "3df1d8a" => base64_decode("dGl" . "tZX" . "N0Y" . "W1w"), "_44e986c04f41a08b56a383c7b3a8" . "8ee2" => base64_decode("c2V" . "uZG" . "Vy"), "_a1e707d02a" . "236dadebd15" . "a45e65ebdb6" => base64_decode("YXR0YWNobWVudC1jb3" . "VudA=="));
use Claromentis\Core\Mail\Receive\Contract\MailAttachment;
use Claromentis\Core\Mail\Receive\Contract\MailMessage;
use Claromentis\Core\Util\ArrayUtil;




class MailgunMessage implements MailMessage
{
    protected $message_data;
    protected $attachments_data;
    protected $attachments;
    
    
    
    
    
    public function __construct($_a3d82c5df38e194c9c73e3ccb4223bbc = [], $_4e7ab34a53ffb13eb0838003f33034d4 = [])
    {
        $this->message_data = $_a3d82c5df38e194c9c73e3ccb4223bbc;
        $this->attachments = $_4e7ab34a53ffb13eb0838003f33034d4;
        foreach ($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_d706c160e" . "45bf7434ff" . "f82a5976f0" . "e19"]($this->message_data) as $key) {
            if ($key !== $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_a1e707d02a236dadebd15a45e6" . "5ebdb6"] && $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_f39f534" . "6e313e4d" . "d1ac3a7b" . "d8032bed" . "a"]($key, $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_9c050c786fc87170cb" . "b84fc6a8b13cb6"], 0, 11) === 0) {
                $this->attachments[] = new MailgunAttachmentString($key, $this->message_data[$key]);
            }
        }
    }
    
    
    
    
    public function GetRecipientAddress() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_1d6c68a0262e8fa0bed1215b" . "7224a98e"]);
    }
    
    
    
    
    
    
    public function GetFrom() : string
    {
        return ArrayUtil::getScalarValue($this->message_data[$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_618a4aeb9fec" . "c4592a4521f34" . "876fa29"]], null);
    }
    
    
    
    
    
    
    
    public function GetTo() : string
    {
        return ArrayUtil::getScalarValue($this->message_data[$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_f589476007fa133f4" . "57c3ef29ddfa566"]], null);
    }
    
    
    
    
    public function GetSubject() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_8c575917cbaedf1e7efae8493940" . "2bff"]);
    }
    
    
    
    
    public function GetBodyHtml() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_6e1c717cf3cbf1af982" . "ed74d4336b7f1"]);
    }
    
    
    
    
    public function GetBodyText() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_956cd32" . "298a229f" . "9768f109" . "6f077ace" . "3"]);
    }
    
    
    
    
    public function GetDate() : \Date
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = new \Date(ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_97ea09a7fa" . "f27c52c6eff" . "69773df1d8a"]));
        return $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    
    
    
    
    public function GetSenderAddress() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_44e986c04f41a08" . "b56a383c7b3a88ee" . "2"]);
    }
    public function GetAttachments()
    {
        return $this->attachments;
    }
}